grk::MarkerInfo Struct Reference

`#include <LengthCache.h>`

## Public Member Functions

| MarkerInfo (uint16_t _id, uint64_t _pos, uint32_t _len)
| MarkerInfo ()
void | dump (FILE *outputFileStream)

## Public Attributes

uint16_t | id
uint64_t | pos
| position in code stream
uint32_t | len
| length (marker id included)

## Constructor & Destructor Documentation

## MarkerInfo() [1/2]

grk::MarkerInfo::MarkerInfo | ( | uint16_t | _id,
|  | uint64_t | _pos,
|  | uint32_t | _len
| ) |  |

## MarkerInfo() [2/2]

grk::MarkerInfo::MarkerInfo | ( |  | ) |

## Member Function Documentation

## dump()

void grk::MarkerInfo::dump | ( | FILE * | outputFileStream | ) |

References len, and pos.

## Member Data Documentation

## id

uint16_t grk::MarkerInfo::id

## len

uint32_t grk::MarkerInfo::len

length (marker id included)

Referenced by dump().

## pos

uint64_t grk::MarkerInfo::pos

position in code stream

Referenced by dump().

The documentation for this struct was generated from the following files:

- LengthCache.h
- LengthCache.cpp